[arch-commits] Commit in texlive-langcyrillic/repos/extra-any (4 files)

Rémy Oudompheng remy at archlinux.org
Sat Nov 11 12:13:45 UTC 2017


    Date: Saturday, November 11, 2017 @ 12:13:43
  Author: remy
Revision: 309537

archrelease: copy trunk to extra-any

Added:
  texlive-langcyrillic/repos/extra-any/PKGBUILD
    (from rev 309536, texlive-langcyrillic/trunk/PKGBUILD)
  texlive-langcyrillic/repos/extra-any/texlive-langcyrillic.maps
    (from rev 309536, texlive-langcyrillic/trunk/texlive-langcyrillic.maps)
Deleted:
  texlive-langcyrillic/repos/extra-any/PKGBUILD
  texlive-langcyrillic/repos/extra-any/texlive-langcyrillic.maps

---------------------------+
 PKGBUILD                  |  100 ++++++++++++++++++++++----------------------
 texlive-langcyrillic.maps |    4 -
 2 files changed, 52 insertions(+), 52 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2017-11-11 12:13:33 UTC (rev 309536)
+++ PKGBUILD	2017-11-11 12:13:43 UTC (rev 309537)
@@ -1,50 +0,0 @@
-# $Id$
-# Maintainer: Firmicus <firmicus āt gmx dōt net>
-# Maintainer: Rémy Oudompheng <remy at archlinux.org>
-
-pkgname=texlive-langcyrillic
-pkgver=2017.44895
-_revnr=${pkgver#2017.}
-pkgrel=1
-pkgdesc="TeX Live - Fonts and macro packages to typeset Cyrillic texts"
-license=('GPL')
-arch=(any)
-depends=('texlive-core')
-groups=('texlive-lang')
-url='http://tug.org/texlive/'
-source=("https://sources.archlinux.org/other/texlive/$pkgname-$pkgver-src.zip" "$pkgname.maps")
-options=('!emptydirs')
-sha256sums=('136c3f06b9f5a342dcdff53ccfc6263b328a1d45517cb5148d5bdfab49f7e9e5'
-            '4ca6db61e59bcb0f718a1cb062dad04e7f01866c5a7d320dcf67e6a47130f222')
-
-build() {
-   cd "$srcdir"
-   for p in *.tar.xz; do
-	   bsdtar -xf $p
-   done
-   rm -rf {tlpkg,doc,source} || true
-}
-
-package() {
-   cd "$srcdir"
-   install -m755 -d $pkgdir/var/lib/texmf/arch/installedpkgs
-   sed -i '/^#/d' CONTENTS
-   install -m644 CONTENTS $pkgdir/var/lib/texmf/arch/installedpkgs/${pkgname}_${_revnr}.pkgs
-   install -m644 $pkgname.maps $pkgdir/var/lib/texmf/arch/installedpkgs/
-   install -m755 -d $pkgdir/usr/share
-   wanteddirs=$(for d in *; do test -d $d && [[ $d != texmf* ]] && echo $d; done) || true
-   for dir in $wanteddirs; do
-     find $dir -type d -exec install -d -m755 $pkgdir/usr/share/texmf-dist/'{}' \;
-     find $dir -type f -exec install -m644 '{}' $pkgdir/usr/share/texmf-dist/'{}' \;
-   done
-   if [[ -d texmf-dist ]]; then
-     find texmf-dist -type d -exec install -d -m755 $pkgdir/usr/share/'{}' \;
-     find texmf-dist -type f -exec install -m644 '{}' $pkgdir/usr/share/'{}' \;
-   fi
-   if [[ -d $pkgdir/usr/share/texmf-dist/scripts ]]; then
-     find $pkgdir/usr/share/texmf-dist/scripts -type f -exec chmod a+x '{}' \;
-   fi
-   mkdir -p "${pkgdir}/usr/bin"
-   ln -s /usr/share/texmf-dist/scripts/texlive/rubibtex.sh "${pkgdir}/usr/bin/rubibtex"
-   ln -s /usr/share/texmf-dist/scripts/texlive/rumakeindex.sh "${pkgdir}/usr/bin/rumakeindex"
-}

Copied: texlive-langcyrillic/repos/extra-any/PKGBUILD (from rev 309536, texlive-langcyrillic/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2017-11-11 12:13:43 UTC (rev 309537)
@@ -0,0 +1,50 @@
+# $Id$
+# Maintainer: Firmicus <firmicus āt gmx dōt net>
+# Maintainer: Rémy Oudompheng <remy at archlinux.org>
+
+pkgname=texlive-langcyrillic
+pkgver=2017.45692
+_revnr=${pkgver#2017.}
+pkgrel=1
+pkgdesc="TeX Live - Fonts and macro packages to typeset Cyrillic texts"
+license=('GPL')
+arch=(any)
+depends=('texlive-core')
+groups=('texlive-lang')
+url='http://tug.org/texlive/'
+source=("https://sources.archlinux.org/other/texlive/$pkgname-$pkgver-src.zip" "$pkgname.maps")
+options=('!emptydirs')
+sha256sums=('d3bee0cb5b571a30db340bc5e0d56fbceba8488a3f7a8e913939659a503afe83'
+            '4ca6db61e59bcb0f718a1cb062dad04e7f01866c5a7d320dcf67e6a47130f222')
+
+build() {
+   cd "$srcdir"
+   for p in *.tar.xz; do
+	   bsdtar -xf $p
+   done
+   rm -rf {tlpkg,doc,source} || true
+}
+
+package() {
+   cd "$srcdir"
+   install -m755 -d $pkgdir/var/lib/texmf/arch/installedpkgs
+   sed -i '/^#/d' CONTENTS
+   install -m644 CONTENTS $pkgdir/var/lib/texmf/arch/installedpkgs/${pkgname}_${_revnr}.pkgs
+   install -m644 $pkgname.maps $pkgdir/var/lib/texmf/arch/installedpkgs/
+   install -m755 -d $pkgdir/usr/share
+   wanteddirs=$(for d in *; do test -d $d && [[ $d != texmf* ]] && echo $d; done) || true
+   for dir in $wanteddirs; do
+     find $dir -type d -exec install -d -m755 $pkgdir/usr/share/texmf-dist/'{}' \;
+     find $dir -type f -exec install -m644 '{}' $pkgdir/usr/share/texmf-dist/'{}' \;
+   done
+   if [[ -d texmf-dist ]]; then
+     find texmf-dist -type d -exec install -d -m755 $pkgdir/usr/share/'{}' \;
+     find texmf-dist -type f -exec install -m644 '{}' $pkgdir/usr/share/'{}' \;
+   fi
+   if [[ -d $pkgdir/usr/share/texmf-dist/scripts ]]; then
+     find $pkgdir/usr/share/texmf-dist/scripts -type f -exec chmod a+x '{}' \;
+   fi
+   mkdir -p "${pkgdir}/usr/bin"
+   ln -s /usr/share/texmf-dist/scripts/texlive/rubibtex.sh "${pkgdir}/usr/bin/rubibtex"
+   ln -s /usr/share/texmf-dist/scripts/texlive/rumakeindex.sh "${pkgdir}/usr/bin/rumakeindex"
+}

Deleted: texlive-langcyrillic.maps
===================================================================
--- texlive-langcyrillic.maps	2017-11-11 12:13:33 UTC (rev 309536)
+++ texlive-langcyrillic.maps	2017-11-11 12:13:43 UTC (rev 309537)
@@ -1,2 +0,0 @@
-Map cmcyr.map
-MixedMap mongolian.map

Copied: texlive-langcyrillic/repos/extra-any/texlive-langcyrillic.maps (from rev 309536, texlive-langcyrillic/trunk/texlive-langcyrillic.maps)
===================================================================
--- texlive-langcyrillic.maps	                        (rev 0)
+++ texlive-langcyrillic.maps	2017-11-11 12:13:43 UTC (rev 309537)
@@ -0,0 +1,2 @@
+Map cmcyr.map
+MixedMap mongolian.map


More information about the arch-commits mailing list